> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/de/powershell-befehle/new-udiconbutton.md).

# New-UDIconButton

New-UDIconButton erstellt in PowerShell Universal eine Schaltfläche, die nur aus einem Symbol besteht, und ermöglicht es Ihnen, Symbol, Größe, Variante und Klickaktion für kompakte UI-Steuerelemente f

### Übersicht

Erstellt eine Schaltfläche mit einem Symbol.

### Syntax

```powershell
New-UDIconButton [[-Id] <String>] [[-Icon] <Object>] [[-OnClick] <Endpoint>] [-Disabled] [[-Href] <String>] [[-Style] <Hashtable>] [[-ClassName] <String>] [[-Size] <String>] [[-Variant] <String>] [-ShowLoading] [[-LoadingComponent] <ScriptBlock>] [<CommonParameters>]
```

### Beschreibung

Erstellt eine Schaltfläche mit einem Symbol.

### Parameter

#### -Id

Die ID der Komponente. Standardmäßig eine zufällige GUID.

```
Required?                    false
Position?                    1
Default value                ([Guid]::NewGuid()).ToString()
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Icon

Das Symbol, das innerhalb der Schaltfläche angezeigt werden soll.

```
Required?                    false
Position?                    2
Default value                User
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -OnClick

Ein Skriptblock, der ausgeführt wird, wenn auf die Schaltfläche geklickt wird.

```
Required?                    false
Position?                    3
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Disabled

Ob die Schaltfläche deaktiviert ist.

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Href

Ein Link, zu dem navigiert wird, wenn auf die Schaltfläche geklickt wird.

```
Required?                    false
Position?                    4
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Style

Der CSS-Stil, der auf das Symbol angewendet werden soll.

```
Required?                    false
Position?                    5
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -ClassName

Eine CSS-Klasse, die auf das Symbol angewendet werden soll.

```
Required?                    false
Position?                    6
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Size

Die Größe der Symbol-Schaltfläche. Gültige Werte sind: "small", "medium", "large"

```
Required?                    false
Position?                    7
Default value                medium
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Variant

```
Required?                    false
Position?                    8
Default value                text
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -ShowLoading

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -LoadingComponent

```
Required?                    false
Position?                    9
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### Allgemeine Parameter

Dieses Cmdlet unterstützt die allgemeinen Parameter: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, WarningVariable, OutBuffer, PipelineVariable und OutVariable. Weitere Informationen finden Sie unter [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Ausgaben

### Beispiele

#### Beispiel 1: Einfache Symbol-Schaltfläche

```powershell
New-UDIconButton -Icon (New-UDIcon -Icon user -Size sm)  -Id 'iconButton1'
```

Erstellt eine einfache Symbol-Schaltfläche.

#### Beispiel 2: Symbol-Schaltfläche mit OnClick

```powershell
New-UDIconButton -Icon (New-UDIcon -Icon user -Size sm) -OnClick {
   Show-UDToast -Message 'Icon Button Clicked'
} -Id 'iconButton2'
```

Erstellt eine Symbol-Schaltfläche mit einem OnClick-Skriptblock.

#### Beispiel 3: Symbol-Schaltfläche mit Href

```powershell
New-UDIconButton -Icon (New-UDIcon -Icon user -Size sm) -Href 'https://www.google.com' -Id 'iconButton3'
```

Erstellt eine Symbol-Schaltfläche, die zu einer URL navigiert.

#### Beispiel 4: Deaktivierte Symbol-Schaltfläche

```powershell
New-UDIconButton -Icon (New-UDIcon -Icon user -Size sm) -Disabled -Id 'iconButton4'
```

Erstellt eine deaktivierte Symbol-Schaltfläche.

#### Beispiel 5: Symbol-Schaltfläche mit Ladeanzeige

```powershell
New-UDIconButton -Icon (New-UDIcon -Icon user -Size sm) -Id 'iconButton5' -OnClick {
   Show-UDToast -Message 'Icon Button Clicked'
   Start-Sleep -Seconds 5
} -ShowLoading
```

Erstellt eine Symbol-Schaltfläche mit einem Ladesymbol.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/de/powershell-befehle/new-udiconbutton.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
